/// <reference types="react" />
import { PopupProps } from '@gravity-ui/uikit';
import { GptDialogProps } from '../GptDialog/GptDialog';
declare type Props = {
    onClose: () => void;
    markup: string;
    onConfirmOk?: () => void;
    onConfirmCancel?: () => void;
} & GptDialogProps & Pick<PopupProps, 'anchorRef' | 'container'>;
export declare function renderPopup(anchor: HTMLElement, props: Props): JSX.Element;
export {};
